/*------------------------------------
  common
------------------------------------*/
html {
  scroll-behavior: smooth;
  font-size: 20px;
}

.l-main {
  width: 1000px;
  margin: 0 auto;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

/*------------------------------------
  component
------------------------------------*/
.l-top {
  display: flex;
  justify-content: space-between;
  margin: 1rem 0 3rem;
}

.content {
  margin-block: 0 3rem;
}

.recent-left-col {
  flex: 2;
  padding-right: 1rem;
  border-right: 1px solid;
}

.recent-right-col {
  flex: 1;
  padding-left: 1rem;
}

.c-title {
  font-size: 1.5rem;
  color: #009380;
}

.c-title .-smaller{
  font-size: 0.8em;
}

.c-title-under {
  font-size: 0.9rem;
  margin-bottom: 0.5rem;
}

.c-article-list {
  display: grid;
  grid-gap: 1.2rem 0;
}

.c-article-list .-item a {
  display: grid;
  grid-template-columns: 1fr 1.2fr;
  grid-gap: .3rem;
}

.c-article-image {
  aspect-ratio: 16 / 9;
  object-fit: cover;
  object-position: center;
}

.c-article-title {
  font-size: 0.7rem;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
}

.c-article-releace-time {
  font-size: 0.55rem;
  width: fit-content;
  padding: .08rem .2rem;
}

.c-interview-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 1.5rem;
}

.c-interview-teacher-name {
  font-size: .8rem;
}

.fix-article-title {
  font-size: 1.2rem;
}

.fixed-carousel .c-article-releace-time {
  font-size: 0.8rem;
  margin-left: 1px;
}

.fixed-carousel .splide__arrow {
  border-radius: 0;
}

.recent-right-col .c-title {
  text-align: center;
  font-size: 1.25rem;
  margin: 0.5rem;
}

.fix-article-text h2{
  display: none;
}

.fix-article-text{
  font-size: 0.9rem;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  white-space: none;
  height: calc(.9rem * 1.5 * 3);
}

.fix-article-text * {
  display: none;
}

.fix-article-text p:nth-of-type(1){
  display: block;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
}

article{
  position: relative;
  height: 100%;
}

article::after{
  content: "";
  width: 0.5rem;
  height: 0.5rem;
  transform: rotate(45deg);
  border-right: 2px solid #808080;
  border-top: 2px solid #808080;
  display: block;
  position: absolute;
  bottom: 0.4rem;
  right: 0.3rem;
}

/*------------------------------------
  custom
------------------------------------*/
.page-title {
  width: 10rem;
  margin: 0 0 1rem;
}

#movie {
  transform: translate(-2px, 1px);
}

.movie-slide {
  text-align: center;
  box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.5);
}

.movie-slide iframe {
  width: calc(100%);
  height: calc(340px * 9 / 16);
  margin: 0 auto;
}

.movie-title-text {
  font-size: 0.9rem;
  text-align: left;
  background-color: #fff;
  padding: 0.5rem;
  height: 7rem;
}

.movie-carousel {
  padding-top: 1rem;
  background-color: #f5f5f5;
}

.movie-carousel .splide__list {
  margin-bottom: 2rem !important;
}

.splide__pagination__page {
  background-color: #fff;
}

.splide__pagination__page.is-active {
  background-color: #6e6e6e;
}

.obog-container {
  display: flex;
  justify-content: space-between;
  border-bottom: 1px dotted #000;
  padding: 0.5rem;
}

.obog-left-col {
  flex: 1;
}

.obog-name,
.obog-college {
  font-size: .8rem;
  text-align: center;
}

.obog-date {
  font-size: 0.9rem;
}

.obog-right-col {
  flex: 7;
  margin-left: 1rem;
}

.obog-message-title {
  font-size: 1rem;
  font-weight: bold;
  margin: 0.3rem 0;
}

.obog-message {
  font-size: 0.9rem;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
}

.obog-textlink-wrap {
  text-align: right;
  color: #00f;
  font-size: 0.8rem;
  text-decoration: underline;
  margin-top: 0.2rem;
}

/*------------------------------------
  article_list
------------------------------------*/
.lists-article-list {
  width: 1000px;
  margin: 0 auto 1rem;
  padding: 0;
  display: grid;
  grid-gap: 1.5rem 0;
  list-style: none;
}

.lists-article-list a {
  display: grid;
  grid-template-columns: 1fr 3fr;
  grid-gap: 0 20px;
  text-decoration: none;
}

.lists-article-title {
  font-size: 18px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  color: #000;
}

.lists-article-releace-time {
  font-size: 14px;
  padding: 0.1em 0;
  width: fit-content;
  color: #000
}

.lists-article-image {
width: 100%;
height: auto;
}

.lists-article-list article::after{
  display: none;
}

.pagination-container {
  text-align: center;
  padding: 20px 0;
}

.pagination-container a {
  padding: 8px 15px;
  margin: 0 5px;
  background-color: #f2f2f2;
  color: #333;
  text-decoration: none;
  border-radius: 5px;
  border: 1px solid #ddd;
  transition: background-color 0.3s, color 0.3s;
}

.pagination-container a:hover {
  background-color: #007bff;
  color: white;
  border-color: #007bff;
}

.pagination-container a.prev, .pagination-container a.next {
  background-color: #007bff;
  color: white;
  border-color: #007bff;
}

.to-lists-textlink{
  text-align: center;
  color: #00f;
  font-size: 0.8rem;
  text-decoration: underline;
  margin-top: 0.2rem;
  display: block;
}

#lists{
  margin-top: 10px;
}